From 8f40c5b41dd0789c5c23ae98227913fb65302703 Mon Sep 17 00:00:00 2001
From: Matthias Kuhn <matthias.kuhn@gmx.ch>
Date: Mon, 27 Aug 2012 13:36:42 +0200
Subject: [PATCH] Fix "multi attribute editing in value relation"-bug when
 only saving 1 checked element which is not the first in the
 list

---
 src/gui/qgsattributeeditor.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/gui/qgsattributeeditor.cpp b/src/gui/qgsattributeeditor.cpp
index eebfa26..9c4974f 100644
--- a/src/gui/qgsattributeeditor.cpp
+++ b/src/gui/qgsattributeeditor.cpp
@@ -600,15 +600,17 @@ bool QgsAttributeEditor::retrieveValue( QWidget *widget, QgsVectorLayer *vl, int
     if ( editType == QgsVectorLayer::ValueRelation )
     {
       text = '{';
+      int valueCount = 0;
       for ( int i = 0; i < lw->count(); i++ )
       {
         if ( lw->item( i )->checkState() == Qt::Checked )
         {
-          if ( i > 0 )
+          if ( valueCount > 0 )
           {
             text.append( ',' );
           }
           text.append( lw->item( i )->data( Qt::UserRole ).toString() );
+          valueCount++;
         }
       }
       text.append( '}' );
-- 
1.7.11.msysgit.1

